PHP on Vista

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

Is there a version of PHP which will install and run on Vista?
I downloaded the MSI package from the PHP site, but it got
stuck and would not finish.

I'd like to start learning PHP and would like to use it on my
Vista machine and access pages under Apache if that's possible.

I can use my Ubuntu as well, but may as well try it on both.

* I am the walrus.                                                    *
* RLU 451587                                                          *
* Running Vista Ultimate SP1 and Ubuntu Gutsy Gibbon                  *
* Sea creatures unite and take back usenet *

Re: PHP on Vista

Quoted text here. Click to load it

Wampserver installs and runs fine on Vista.

Re: PHP on Vista

I_Am_The_Walrus escribió:
Quoted text here. Click to load it

Older installers fail in Vista unless you open an *elevated* command
prompt and run the installer from there:

    msiexec /i php-5.2.5-win32-installer.msi

But I believe it's been fixed in 5.2.6, which was released a couple of
days ago. Get the latest version and try again.

-- - Álvaro G. Vicario - Burgos, Spain
-- Mi sitio sobre programación web:
-- Mi web de humor al baño María:

Site Timeline